Open Infrastructure - Task #7688

Disable rp_filter on router2.place5 (alpine sets =1 on .all and .default)

02/04/2020 05:15 PM - Nico Schottelius

Status: Closed

Priority: Normal
Assignee: Nico Schottelius
Category:

Target version:
% Done:
0%
Description

[17:15] router2.placeb5:/proc/sys/net/ipvd/conf# for i in */rp_filter; do echo $i;

e
all/rp_filter
bond0.102/rp_filter
bond0.2/rp_filter
bond0.3/rp_filter
bond0.42/rp_filter
bond0.5/rp_filter
bond0.7/rp_filter
bond0.8/rp_filter
bond0/rp_filter
default/rp_filter
eth0/rp_filter
ethl/rp_filter
eth2/rp_filter
eth3/rp_filter
ethd/rp_filter
eth5/rp_filter
lo/rp_filter

[17:15] router2.placeb:/proc/sys/net/ipv4/conf#

echo 0 > $i;

don

History

#1 - 02/04/2020 05:15 PM - Nico Schottelius
- Description updated

#2 - 02/04/2020 05:19 PM - Nico Schottelius
- Project changed from 45 to Open Infrastructure

- Status changed from New to In Progress

#3 - 02/04/2020 05:28 PM - Nico Schottelius

- Subject changed from Disable rp_filter on router2.place5 to Disable rp_filter on router2.place5 (alpine sets =1 on .all and .default)

#4 - 02/04/2020 05:28 PM - Nico Schottelius
Added the following to our internal cdist:
# Undo Alpine bugs

__sysctl net.ipvé4.conf.default.rp_filter --value 0
__sysctl net.ipv4.conf.all.rp_filter --value 0

#5 - 01/02/2024 02:08 PM - Nico Schottelius

- Status changed from In Progress to Closed
